package com.bonus.material.upOrDown.equipment.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.upOrDown.equipment.domain.EquipmentEntity;
import com.bonus.material.upOrDown.tool.entity.ToolEntity;

import java.util.List;

public interface UpOrDownEquipmentService {

    List<EquipmentEntity> listByDown(EquipmentEntity entity);

    void downEquipmentById(Long equipmentId);

    /**
     * 批量修改装备上架状态及租赁价
     * @param entity
     * @return
     */
    AjaxResult upEquipmentBatch(List<EquipmentEntity> entity);

    void downEquipmentBatch(List<Long> ids);

    List<EquipmentEntity> list(EquipmentEntity entity);
}
